#!/bin/bash

git checkout ${branch_name#*/} --recurse-submodules
git pull
git submodule foreach --recursive 'branch="$(git config -f $toplevel/.gitmodules submodule.$name.branch)"; [ "$branch" = "" ] && git checkout master || git checkout $branch'
git submodule update --remote --merge
npm run bundle-ios
git push --recurse-submodules=on-demand
